getJettonStatisticsList
The list of stats by jettons (percent changes of price, volume, traders, transactions by last hour, day, week and month)
💼 Available in paid plans only
curl --request GET \
--url https://api.dyor.io/v1/jettons/statsimport requests
url = "https://api.dyor.io/v1/jettons/stats"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://api.dyor.io/v1/jettons/stats', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"items": [
{
"address": "0:906697a57af1cdb1bc39214b7049ae02b3c92a5b0c342ac61e0eb8bd9304b5f1",
"priceChange": {
"ton": {
"min15": {
"changePercent": 146.1,
"previous": {
"value": "1000500000",
"decimals": 9
},
"current": {
"value": "1000500000",
"decimals": 9
},
"calculatedAt": "2023-11-07T05:31:56Z"
},
"hour": {
"changePercent": 146.1,
"previous": {
"value": "1000500000",
"decimals": 9
},
"current": {
"value": "1000500000",
"decimals": 9
},
"calculatedAt": "2023-11-07T05:31:56Z"
},
"hour6": {
"changePercent": 146.1,
"previous": {
"value": "1000500000",
"decimals": 9
},
"current": {
"value": "1000500000",
"decimals": 9
},
"calculatedAt": "2023-11-07T05:31:56Z"
},
"hour12": {
"changePercent": 146.1,
"previous": {
"value": "1000500000",
"decimals": 9
},
"current": {
"value": "1000500000",
"decimals": 9
},
"calculatedAt": "2023-11-07T05:31:56Z"
},
"day": {
"changePercent": 146.1,
"previous": {
"value": "1000500000",
"decimals": 9
},
"current": {
"value": "1000500000",
"decimals": 9
},
"calculatedAt": "2023-11-07T05:31:56Z"
},
"week": {
"changePercent": 146.1,
"previous": {
"value": "1000500000",
"decimals": 9
},
"current": {
"value": "1000500000",
"decimals": 9
},
"calculatedAt": "2023-11-07T05:31:56Z"
},
"month": {
"changePercent": 146.1,
"previous": {
"value": "1000500000",
"decimals": 9
},
"current": {
"value": "1000500000",
"decimals": 9
},
"calculatedAt": "2023-11-07T05:31:56Z"
}
},
"usd": {
"min15": {
"changePercent": 146.1,
"previous": {
"value": "1000500000",
"decimals": 9
},
"current": {
"value": "1000500000",
"decimals": 9
},
"calculatedAt": "2023-11-07T05:31:56Z"
},
"hour": {
"changePercent": 146.1,
"previous": {
"value": "1000500000",
"decimals": 9
},
"current": {
"value": "1000500000",
"decimals": 9
},
"calculatedAt": "2023-11-07T05:31:56Z"
},
"hour6": {
"changePercent": 146.1,
"previous": {
"value": "1000500000",
"decimals": 9
},
"current": {
"value": "1000500000",
"decimals": 9
},
"calculatedAt": "2023-11-07T05:31:56Z"
},
"hour12": {
"changePercent": 146.1,
"previous": {
"value": "1000500000",
"decimals": 9
},
"current": {
"value": "1000500000",
"decimals": 9
},
"calculatedAt": "2023-11-07T05:31:56Z"
},
"day": {
"changePercent": 146.1,
"previous": {
"value": "1000500000",
"decimals": 9
},
"current": {
"value": "1000500000",
"decimals": 9
},
"calculatedAt": "2023-11-07T05:31:56Z"
},
"week": {
"changePercent": 146.1,
"previous": {
"value": "1000500000",
"decimals": 9
},
"current": {
"value": "1000500000",
"decimals": 9
},
"calculatedAt": "2023-11-07T05:31:56Z"
},
"month": {
"changePercent": 146.1,
"previous": {
"value": "1000500000",
"decimals": 9
},
"current": {
"value": "1000500000",
"decimals": 9
},
"calculatedAt": "2023-11-07T05:31:56Z"
}
}
},
"traders": {
"hour": {
"changePercent": -35.9,
"previous": "39",
"current": "25",
"calculatedAt": "2023-11-07T05:31:56Z"
},
"hour6": {
"changePercent": -35.9,
"previous": "39",
"current": "25",
"calculatedAt": "2023-11-07T05:31:56Z"
},
"day": {
"changePercent": -35.9,
"previous": "39",
"current": "25",
"calculatedAt": "2023-11-07T05:31:56Z"
},
"week": {
"changePercent": -35.9,
"previous": "39",
"current": "25",
"calculatedAt": "2023-11-07T05:31:56Z"
},
"month": {
"changePercent": -35.9,
"previous": "39",
"current": "25",
"calculatedAt": "2023-11-07T05:31:56Z"
}
},
"tradersBuy": {
"hour": {
"changePercent": -35.9,
"previous": "39",
"current": "25",
"calculatedAt": "2023-11-07T05:31:56Z"
},
"hour6": {
"changePercent": -35.9,
"previous": "39",
"current": "25",
"calculatedAt": "2023-11-07T05:31:56Z"
},
"day": {
"changePercent": -35.9,
"previous": "39",
"current": "25",
"calculatedAt": "2023-11-07T05:31:56Z"
},
"week": {
"changePercent": -35.9,
"previous": "39",
"current": "25",
"calculatedAt": "2023-11-07T05:31:56Z"
},
"month": {
"changePercent": -35.9,
"previous": "39",
"current": "25",
"calculatedAt": "2023-11-07T05:31:56Z"
}
},
"tradersSell": {
"hour": {
"changePercent": -35.9,
"previous": "39",
"current": "25",
"calculatedAt": "2023-11-07T05:31:56Z"
},
"hour6": {
"changePercent": -35.9,
"previous": "39",
"current": "25",
"calculatedAt": "2023-11-07T05:31:56Z"
},
"day": {
"changePercent": -35.9,
"previous": "39",
"current": "25",
"calculatedAt": "2023-11-07T05:31:56Z"
},
"week": {
"changePercent": -35.9,
"previous": "39",
"current": "25",
"calculatedAt": "2023-11-07T05:31:56Z"
},
"month": {
"changePercent": -35.9,
"previous": "39",
"current": "25",
"calculatedAt": "2023-11-07T05:31:56Z"
}
},
"transactions": {
"hour": {
"changePercent": -35.9,
"previous": "39",
"current": "25",
"calculatedAt": "2023-11-07T05:31:56Z"
},
"hour6": {
"changePercent": -35.9,
"previous": "39",
"current": "25",
"calculatedAt": "2023-11-07T05:31:56Z"
},
"day": {
"changePercent": -35.9,
"previous": "39",
"current": "25",
"calculatedAt": "2023-11-07T05:31:56Z"
},
"week": {
"changePercent": -35.9,
"previous": "39",
"current": "25",
"calculatedAt": "2023-11-07T05:31:56Z"
},
"month": {
"changePercent": -35.9,
"previous": "39",
"current": "25",
"calculatedAt": "2023-11-07T05:31:56Z"
}
},
"transactionsBuy": {
"hour": {
"changePercent": -35.9,
"previous": "39",
"current": "25",
"calculatedAt": "2023-11-07T05:31:56Z"
},
"hour6": {
"changePercent": -35.9,
"previous": "39",
"current": "25",
"calculatedAt": "2023-11-07T05:31:56Z"
},
"day": {
"changePercent": -35.9,
"previous": "39",
"current": "25",
"calculatedAt": "2023-11-07T05:31:56Z"
},
"week": {
"changePercent": -35.9,
"previous": "39",
"current": "25",
"calculatedAt": "2023-11-07T05:31:56Z"
},
"month": {
"changePercent": -35.9,
"previous": "39",
"current": "25",
"calculatedAt": "2023-11-07T05:31:56Z"
}
},
"transactionsSell": {
"hour": {
"changePercent": -35.9,
"previous": "39",
"current": "25",
"calculatedAt": "2023-11-07T05:31:56Z"
},
"hour6": {
"changePercent": -35.9,
"previous": "39",
"current": "25",
"calculatedAt": "2023-11-07T05:31:56Z"
},
"day": {
"changePercent": -35.9,
"previous": "39",
"current": "25",
"calculatedAt": "2023-11-07T05:31:56Z"
},
"week": {
"changePercent": -35.9,
"previous": "39",
"current": "25",
"calculatedAt": "2023-11-07T05:31:56Z"
},
"month": {
"changePercent": -35.9,
"previous": "39",
"current": "25",
"calculatedAt": "2023-11-07T05:31:56Z"
}
},
"volume": {
"usd": {
"hour": {
"changePercent": 146.1,
"previous": {
"value": "1000500000",
"decimals": 9
},
"current": {
"value": "1000500000",
"decimals": 9
},
"calculatedAt": "2023-11-07T05:31:56Z"
},
"hour6": {
"changePercent": 146.1,
"previous": {
"value": "1000500000",
"decimals": 9
},
"current": {
"value": "1000500000",
"decimals": 9
},
"calculatedAt": "2023-11-07T05:31:56Z"
},
"day": {
"changePercent": 146.1,
"previous": {
"value": "1000500000",
"decimals": 9
},
"current": {
"value": "1000500000",
"decimals": 9
},
"calculatedAt": "2023-11-07T05:31:56Z"
},
"week": {
"changePercent": 146.1,
"previous": {
"value": "1000500000",
"decimals": 9
},
"current": {
"value": "1000500000",
"decimals": 9
},
"calculatedAt": "2023-11-07T05:31:56Z"
},
"month": {
"changePercent": 146.1,
"previous": {
"value": "1000500000",
"decimals": 9
},
"current": {
"value": "1000500000",
"decimals": 9
},
"calculatedAt": "2023-11-07T05:31:56Z"
}
},
"buyUsd": {
"hour": {
"changePercent": 146.1,
"previous": {
"value": "1000500000",
"decimals": 9
},
"current": {
"value": "1000500000",
"decimals": 9
},
"calculatedAt": "2023-11-07T05:31:56Z"
},
"hour6": {
"changePercent": 146.1,
"previous": {
"value": "1000500000",
"decimals": 9
},
"current": {
"value": "1000500000",
"decimals": 9
},
"calculatedAt": "2023-11-07T05:31:56Z"
},
"day": {
"changePercent": 146.1,
"previous": {
"value": "1000500000",
"decimals": 9
},
"current": {
"value": "1000500000",
"decimals": 9
},
"calculatedAt": "2023-11-07T05:31:56Z"
},
"week": {
"changePercent": 146.1,
"previous": {
"value": "1000500000",
"decimals": 9
},
"current": {
"value": "1000500000",
"decimals": 9
},
"calculatedAt": "2023-11-07T05:31:56Z"
},
"month": {
"changePercent": 146.1,
"previous": {
"value": "1000500000",
"decimals": 9
},
"current": {
"value": "1000500000",
"decimals": 9
},
"calculatedAt": "2023-11-07T05:31:56Z"
}
},
"sellUsd": {
"hour": {
"changePercent": 146.1,
"previous": {
"value": "1000500000",
"decimals": 9
},
"current": {
"value": "1000500000",
"decimals": 9
},
"calculatedAt": "2023-11-07T05:31:56Z"
},
"hour6": {
"changePercent": 146.1,
"previous": {
"value": "1000500000",
"decimals": 9
},
"current": {
"value": "1000500000",
"decimals": 9
},
"calculatedAt": "2023-11-07T05:31:56Z"
},
"day": {
"changePercent": 146.1,
"previous": {
"value": "1000500000",
"decimals": 9
},
"current": {
"value": "1000500000",
"decimals": 9
},
"calculatedAt": "2023-11-07T05:31:56Z"
},
"week": {
"changePercent": 146.1,
"previous": {
"value": "1000500000",
"decimals": 9
},
"current": {
"value": "1000500000",
"decimals": 9
},
"calculatedAt": "2023-11-07T05:31:56Z"
},
"month": {
"changePercent": 146.1,
"previous": {
"value": "1000500000",
"decimals": 9
},
"current": {
"value": "1000500000",
"decimals": 9
},
"calculatedAt": "2023-11-07T05:31:56Z"
}
}
}
}
],
"addressBook": {},
"jettons": {},
"next": "<string>"
}{
"code": 3,
"message": "invalid value",
"details": []
}{
"code": 5,
"message": "not found",
"details": []
}{
"code": 8,
"message": "too many requests",
"details": []
}{
"code": 123,
"message": "<string>",
"details": [
{
"@type": "<string>"
}
]
}Query Parameters
Default value: 20
Max value: 100
Cursor to paginate list
Should be set by value from response field next
Flag to exclude scam jettons
Jettons marked as scam will be excluded, if it's set to true
Search by phrase
Search by phrase in jetton name or symbol Length should be in range [3:255]
Jetton address
Example: EQCQZpelevHNsbw5IUtwSa4Cs8kqWww0KsYeDri9kwS18eCz
Max count: 100
Wallet address
Example: EQCQZpelevHNsbw5IUtwSa4Cs8kqWww0KsYeDri9kwS18eCz
Max count: 10
Status of jetton verification
Max count: 5
JVS_NONE, JVS_APPROVED, JVS_COMMUNITY_VERIFIED, JVS_VERIFIED, JVS_SCAM Sort field
Default is createdAt
createdAt, fdmc, tvl, liquidityUsd, trustScore, volume24h, holders, traders24h, transactions24h, tonPriceChangeHour, tonPriceChangeHour6, tonPriceChangeDay, tonPriceChangeWeek, tonPriceChangeMonth Order of sort
Default is asc
asc, desc Decimals
Value in range [0, 255]. By default is 0
Decimals
Value in range [0, 255]. By default is 0
Decimals
Value in range [0, 255]. By default is 0
Decimals
Value in range [0, 255]. By default is 0
ton, usd, eur, gbp, jpy, byn, ves, rub, uah, kzt, krw, ils, idr, aed, gel, twd, try, hkd, inr, cad, amd, aud, pln, cop, brl, chf, mxn, ars, sgd, sar, mdl, ron, sek, azn, rsd, nok, myr, bgn, egp, gtq, clp, nzd, bdt, kgs, thb, uzs, uyu, vnd, ugx, kes, zar, etb, ngn, lkr Response
A successful response.
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
If the field is empty or not exists there's no next page
